package Tetris;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JPanel;
import javax.swing.Timer;
public class Board extends JPanel
{
  public static final int BOARD_WIDTH=10;
  public static final int BOARD_HEIGHT=20;
  public static final int BLOCK_SIZE=30;
  private Timer loop;
  private Color[][] board = new Color[BOARD_WIDTH][BOARD_HEIGHT];

  public Board() {
    loop = new Timer(500, new ActionListener() {
      int n = 0;

      @Override
      public void actionPerformed(ActionEvent e) {
        System.out.println(n++);
      }
    });
    loop.start();
  }

  @Override
  protected void paintComponent(Graphics g) {
    super.paintComponent(g);
    g.fillRect(0,0,getWidth(),getHeight());
    g.setColor(Color.DARK_GRAY);

    for(int row= 0; row< BOARD_HEIGHT;row++)
    {
      g.drawLine(0, BLOCK_SIZE * row, BLOCK_SIZE * BOARD_WIDTH, BLOCK_SIZE * row);
    }
    for(int col= 0; col< BOARD_WIDTH +1; col++)
    {
      g.drawLine(col * BLOCK_SIZE, 0, col * BLOCK_SIZE, BLOCK_SIZE * BOARD_HEIGHT);
    }
  }
}
